g_mod_physics Xonotic
// current Xonotic physics

sv_gravity 800
sv_maxspeed 360
sv_maxairspeed 360

sv_stopspeed 100
sv_accelerate 15
sv_airaccelerate 2
sv_friction 6
edgefriction 1
sv_stepheight 31
// Q1: 16+2
// Nex: 32+2
// Xon 0.7: 24+2
// Samual: 31 (just below 32, keeping things smooth without allowing 32qu steps)

// jump duration == 2*sv_jumpvelocity / sv_gravity
// in this case: 0.6888888888 (thus either 20 or 21 frames)
// jump height == sv_jumpvelocity^2 / (2*sv_gravity)
// in this case: 42.25
// player: 24+45 qu
// total: 111.25qu
// this is smaller than 112 qu, so a 112 qu high corridor (7 of 8 grid units in
// the 16 grid, and the 8th unit used for wall/floor) just lets a player jump!
sv_jumpvelocity 260
sv_wateraccelerate -1
sv_waterfriction -1
sv_airaccel_sideways_friction 0
sv_airaccel_qw -0.8
sv_airaccel_qw_stretchfactor 2

sv_airstopaccelerate 3
sv_airstrafeaccelerate 18
sv_maxairstrafespeed 100
sv_airstrafeaccel_qw -0.95
sv_aircontrol 100
sv_aircontrol_penalty 0
sv_aircontrol_power 2
sv_airspeedlimit_nonqw 900
sv_warsowbunny_turnaccel 0
sv_warsowbunny_accel 0.1593
sv_warsowbunny_topspeed 925
sv_warsowbunny_backtosideratio 0.8
sv_friction_on_land 0
sv_doublejump 0
sv_jumpspeedcap_min ""
sv_jumpspeedcap_max ""
sv_jumpspeedcap_max_disable_on_ramps 1
g_teleport_maxspeed 0
